#include "curses2.h"
#include "lib.h"
#include "box3.h"

int box3(WINDOW * window_ptr, chtype vertical, chtype horizontal)
{
    int spec = global_get(g_box);
    chtype ls, rs, ts, bs, tl, tr, bl, br;
    if (spec) {
        ls = rs = (vertical == ACS_VLINE ? '|' : vertical);
        ts = bs = (horizontal == ACS_HLINE ? '-' : horizontal);
        tl = tr = bl = br = '*';
        return wborder2(window_ptr, ls, rs, ts, bs, tl, tr, bl, br);
    }
    return box2(window_ptr, vertical, horizontal);
}
